Kerbal Space Program - Bug #21834

4-way RCS is soft-depreciated while other parts are replaced
04/10/2019 08:54 PM - DV-13

Status: Need More Info Start date: 04/10/2019
Severity: Low % Done: 0%
Assignee:

Category: Parts

Target version:

Version: 1.7.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

All parts except one mentioned above got replaced by new ones on all saved and in-flight crafts, while 4-way RCS did not.

History

#1 - 04/11/2019 12:37 PM - DV-13
- Version changed from Not Applicable to 1.7.0

#2 - 11/11/2019 04:42 PM - Robert.Keech

- Status changed from New to Need More Info

Could you please provide some clarification with this issue, pictures of the affected parts, a save file with the affected craft and the craft file itself.

#3 - 11/11/2019 05:35 PM - DV-13

- File 20191111202206_1.jpg added
- File 20191111202232_1.jog added
- File 20191111202342_1.jpg added
- File 20191111202418_1.jpg added

Okay, | got some things wrong. It seems like only Vernor Engine got replaced.

1. Start a new save in KSP 1.7. (Also present in 1.8.1)
2.Go to VAB.

3. Open Dynawing, Slim Shuttle, Rover + Skycrane, or any other craft with parts that got new skins in 1.7. All those parts will not be reskinned

ones.
4. Open Crater Crawler or any other craft with Vernor Engine created before 1.7 (not necessarily stock). Vernor will be reskinned.

So this leads me to believe that Vernor got replaced without depreciation, while other were properly depreciated. Anyway, stock crafts need to

get old parts replaced.
